
if(ScriptUI.environment.keyboardState.shiftKey) {

alert("您是否注意到第二个模块的界面已更改？为方便起见，当您将鼠标悬停在具有附加功能的按钮上时，将弹出一个提示。")




} else { 

    var thisFile = new File($.fileName)
    var idOpn = charIDToTypeID("Opn ")
    var desc34 = new ActionDescriptor()
    var idnull = charIDToTypeID("null")
    desc34.putPath(idnull, new File((thisFile.path + "/HELP.jpg")))
    executeAction(idOpn, desc34, DialogModes.NO)

var getName = app.activeDocument.activeLayer.name


function QH() {
  // Duplicate
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(PSClass.Document, PSType.Ordinal, PSEnum.First);
    desc1.putReference(PSString.Null, ref1);
    desc1.putString(PSKey.Name, "Quick Help.jpg");
    executeAction(PSEvent.Duplicate, desc1, dialogMode);
  };

  // Select
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(PSClass.MenuItem, PSType.MenuItem, PSEnum.ActualPixels);
    desc1.putReference(PSString.Null, ref1);
    executeAction(PSEvent.Select, desc1, dialogMode);
  };

  step1();      // Duplicate
  step2();      // Select
};



cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
// QH.loadSymbols
//   Loading up the symbol definitions like this makes it possible
//   to include several of these generated files in one master file
//   provided a prefix is specified other than the default. It also
//   skips the definitions if PSConstants has already been loaded.
//
QH.loadSymbols = function() {
  var dbgLevel = $.level;
  $.level = 0;
  try {
    PSConstants;
    return; // only if PSConstants is defined
  } catch (e) {
  } finally {
    $.level = dbgLevel;
  }
  var needDefs = true;
  $.level = 0;
  try {
    PSClass;
    needDefs = false;
  } catch (e) {
  } finally {
    $.level = dbgLevel;
  }
  if (needDefs) {
    PSClass = function() {};
    PSEnum = function() {};
    PSEvent = function() {};
    PSForm = function() {};
    PSKey = function() {};
    PSType = function() {};
    PSUnit = function() {};
    PSString = function() {};
  }

  // We may still end up duplicating some of the following definitions
  // but at least we don't redefine PSClass, etc... and wipe out others
  PSClass.Document = cTID('Dcmn');
  PSClass.MenuItem = cTID('Mn  ');
  PSEnum.ActualPixels = cTID('ActP');
  PSEnum.First = cTID('Frst');
  PSEvent.Duplicate = cTID('Dplc');
  PSEvent.Select = cTID('slct');
  PSKey.Name = cTID('Nm  ');
  PSString.Null = sTID('null');
  PSType.MenuItem = cTID('MnIt');
  PSType.Ordinal = cTID('Ordn');
};

QH.loadSymbols(); // load up our symbols



//=========================================
//                    QH.main
//=========================================
//

QH.main = function () {
  QH();
};

QH.main();

var getName2 = app.activeDocument.activeLayer.name

 var idslct = charIDToTypeID( "slct" );
    var desc704 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref146 = new ActionReference();
        var idDcmn = charIDToTypeID( "Dcmn" );
        ref146.putName( idDcmn, "HELP.jpg"  );
    desc704.putReference( idnull, ref146 );
    var idDocI = charIDToTypeID( "DocI" );
    desc704.putInteger( idDocI, 922 );
executeAction( idslct, desc704, DialogModes.NO );

var idCls = charIDToTypeID( "Cls " );
    var desc272 = new ActionDescriptor();
    var idDocI = charIDToTypeID( "DocI" );
    desc272.putInteger( idDocI, 628 );
    var idforceNotify = stringIDToTypeID( "forceNotify" );
    desc272.putBoolean( idforceNotify, true );
executeAction( idCls, desc272, DialogModes.NO );

 var idslct = charIDToTypeID( "slct" );
    var desc704 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref146 = new ActionReference();
        var idDcmn = charIDToTypeID( "Dcmn" );
        ref146.putName( idDcmn, "Quick Help.jpg" );
    desc704.putReference( idnull, ref146 );
    var idDocI = charIDToTypeID( "DocI" );
    desc704.putInteger( idDocI, 922 );
executeAction( idslct, desc704, DialogModes.NO );

//
// Generated Sat Sep 17 2016 14:56:34 GMT+0600
//

//
//==================== Fit to Screen ==============
//
function FittoScreen() {
  // Select
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(PSClass.MenuItem, PSType.MenuItem, PSEnum.FitOnScreen);
    desc1.putReference(PSString.Null, ref1);
    executeAction(PSEvent.Select, desc1, dialogMode);
  };

  // Select
  function step2(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putEnumerated(PSClass.MenuItem, PSType.MenuItem, PSEnum.ZoomOut);
    desc1.putReference(PSString.Null, ref1);
    executeAction(PSEvent.Select, desc1, dialogMode);
  };

  step1();      // Select
  step2();      // Select
};



cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
// FittoScreen.loadSymbols
//   Loading up the symbol definitions like this makes it possible
//   to include several of these generated files in one master file
//   provided a prefix is specified other than the default. It also
//   skips the definitions if PSConstants has already been loaded.
//
FittoScreen.loadSymbols = function() {
  var dbgLevel = $.level;
  $.level = 0;
  try {
    PSConstants;
    return; // only if PSConstants is defined
  } catch (e) {
  } finally {
    $.level = dbgLevel;
  }
  var needDefs = true;
  $.level = 0;
  try {
    PSClass;
    needDefs = false;
  } catch (e) {
  } finally {
    $.level = dbgLevel;
  }
  if (needDefs) {
    PSClass = function() {};
    PSEnum = function() {};
    PSEvent = function() {};
    PSForm = function() {};
    PSKey = function() {};
    PSType = function() {};
    PSUnit = function() {};
    PSString = function() {};
  }

  // We may still end up duplicating some of the following definitions
  // but at least we don't redefine PSClass, etc... and wipe out others
  PSClass.MenuItem = cTID('Mn  ');
  PSEnum.FitOnScreen = cTID('FtOn');
  PSEnum.ZoomOut = cTID('ZmOt');
  PSEvent.Select = cTID('slct');
  PSString.Null = sTID('null');
  PSType.MenuItem = cTID('MnIt');
};

FittoScreen.loadSymbols(); // load up our symbols



//=========================================
//                    FittoScreen.main
//=========================================
//

FittoScreen.main = function () {
  FittoScreen();
};

FittoScreen.main();





}

    
